<?php
// Translated parmaja.com, ruba dirkey & zaher dirkey
// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'arabic';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'ar_AA.ISO8859-6';
		break;

	default:
		$locale = 'ar_AA';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'rtl',  // ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'windows-1256',
'lang_multibyte'		=>	true,

// Notices
'Bad request'			=>	'   .       .',
'No permission'			=>	'      .',
'Bad referer'			=>	'HTTP_REFERER            .      .         \'Base URL\'  Admin/Options     .',

// Miscellaneous (used in many scripts)
'Announcement'			=>	'',
'Options'				=>	'',
'Actions'				=>	'',
'Submit'				=>	'',	// "name" of submit buttons
'Ban message'			=>	'   .',
'Ban message 2'			=>	'  ',
'Ban message 3'			=>	'      :',
'Ban message 4'			=>	'        ',
'Never'					=>	'',
'Today'					=>	'',
'Yesterday'				=>	'',
'Info'					=>	'',		// a common table header
'Go back'				=>	'',
'Maintenance'			=>	'',
'Redirecting'			=>	'',
'Click redirect'		=>	'                ',
'Login required'		=>	'      .',
'on'					=>	'',		// as in "BBCode is on"
'off'					=>	' ',
'Invalid e-mail'		=>	'     .',
'required field'		=>	'    .',	// for javascript form validation
'Last post'				=>	' ',
'by'					=>	'',	// as in last post by someuser
'New posts'				=>	'&nbsp;',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'       .',	// the popup text for new posts links
'Username'				=>	' ',
'Password'				=>	' ',
'E-mail'				=>	'',
'Send e-mail'			=>	' ',
'Registered'			=>	'',
'Subject'				=>	'',
'Message'				=>	'',
'Topic'					=>	'',
'Forum'					=>	'',
'Posts'					=>	'',
'Replies'				=>	'',
'Author'				=>	'',
'Pages'					=>	'',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] tag',
'Smilies'				=>	'',
'and'					=>	'',
'Image link'			=>	'',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'',	// For [quote]'s
'Code'					=>	'',		// For [code]'s
'Mailer'				=>	'',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'',
'Member'				=>	'',	// Default title
'Moderator'				=>	'',
'Administrator'			=>	'',
'Banned'				=>	'',
'Guest'					=>	'',

// Stuff for include/parser.php
'BBCode error'			=>	'  BBCode    .',
'BBCode error 1'		=>	'   .',
'BBCode error 2'		=>	'    .',
'BBCode error 3'		=>	'    .',
'BBCode error 4'		=>	'       .',
'BBCode error 5'		=>	'       .',

// Stuff for the navigator (top of every page)
'Home'					=>	'',
'User list'				=>	' ',
'Rules'					=>  '',
'Search'				=>  '',
'Register'				=>  '',
'Login'					=>  '',
'Not logged in'			=>  '  .',
'Profile'				=>	' ',
'Logout'				=>	'',
'Logged in as'			=>	'',
'Admin'					=>	'',
'Last visit'			=>	' ',

// Stuff for the page footer
'Show new posts'		=>	'    ',
'Show unanswered posts'	=>	'   ',
'Show your posts'		=>	' ',
'Mark all as read'		=>	'   ',
'Jump to'				=>	' ',
'Go'					=>	'  ',		// submit button in forum jump
'Move topic'			=>  ' ',
'Open topic'			=>  ' ',
'Close topic'			=>  ' ',
'Unstick topic'			=>  ' ',
'Stick topic'			=>  ' ',
'Moderate forum'		=>	'',
'Delete posts'			=>	'  '

);
